window.addEventListener('load', () => {
  noSearch();
})

function noSearch() {
  var sase = new Set();
  var ciag = new Set();
  var bsi = new Set();
  var kategoria1Set = new Set();
  var kat1 = '';
  var kat2 = '';
  var filios = new Set();
  var idsSelected = new Set();
  var soto = new Set();
  var soto11 = new Set();
  var varex = -'';
  document.querySelectorAll('.excel tr:not(:first-child)').forEach(tr => {

    ciag.add('#' + tr.id);

  })
  var inputszuk = document.querySelector('.szuk').value;

  document.querySelector('#selkategoria').addEventListener('change', () => {
    if (inputszuk.length < 1) {
 // Czyścimy wszytkie listy i zmienne
      kat1 = '';
      kat2 = '';
      soto11.clear();
      soto.clear();
      kategoria1Set.clear();
      filios.clear();
      sase.clear();
      bsi.clear();
      document.querySelector('#selkategoria1').innerHTML = '';
      document.querySelector('#powiekszenie').innerHTML = '';
      var vall = document.querySelector('#selkategoria').value;

      for (var ciag1 of ciag) {
        var wsid = document.querySelector(ciag1 + ' .kategoria').innerHTML;
        // console.log(ciag1 + 'To ten cią');
        if (wsid == vall) {
          kategoria1Set.add(ciag1);


        }

      }



      for (var kat of kategoria1Set) {
        var kops = document.querySelector(kat + ' .kategoria1').innerHTML;
        var kops1 = document.querySelector(kat + ' .powiekszenie').innerHTML;
        var sepow = document.querySelector('#selkategoria1').value;

        soto.add(kops);

        soto11.add(kops1);

      }
kat1=kat1+'<option value="">All</option>';
      for (var soto1 of soto) {

        kat1 = kat1 + '<option>' + soto1 + '</option>';
      }
      // console.log(kat1 + 'katogorje')
      document.querySelector('#selkategoria1').innerHTML = kat1;

      kat2=kat2+'<option value="">All</option>';
      for (var sotop of soto11) {

        kat2 = kat2 + '<option>' + sotop + '</option>';
      }


      document.querySelector('#powiekszenie').innerHTML ='<option value="">All</option>'+ kat2;









    }


  })
  //------------kategoria1---------------------------//

  document.querySelector('#selkategoria1').addEventListener('change', () => {
    if (inputszuk.length < 1) {

      document.querySelector('#powiekszenie').innerHTML = '';
      filios.clear();
      bsi.clear();
      fpowie = '';
      varex = '';
      var szuka = document.querySelector('.szuk').value;

      var wartosckat1 = document.querySelector('#selkategoria1').value;
      //  console.log(wartosckat1+'naciskamy kategoria 1');





      for (var idos of kategoria1Set) {


        var sos = document.querySelector(idos + ' .kategoria1');
        //     console.log(sos.innerHTML + 'sos równe');
        //   console.log(wartosckat1 + 'sos równe1');
        if (sos.innerHTML == wartosckat1) {

          var wyzoss = sos.parentNode.id;
          var wpowi = document.querySelector('#' + wyzoss + ' .powiekszenie').innerHTML;
          filios.add(wpowi);

          //   console.log(wpowi+'asdfasfasdf')

        }






      }
      fpowie=fpowie+'<option value="">All</option>';
      for (var ses of filios) {
        fpowie = fpowie + '<option>' + ses + '</option>';
      }

      document.querySelector('#powiekszenie').innerHTML = fpowie;
    }
  })


  document.querySelector('#powiekszenie').addEventListener('change', () => {
    if (inputszuk.length < 1) {
      varex = '';
      document.querySelector('#opis').innerHTML = '';
      sase.clear();
      bsi.clear();
      for (var cno of ciag) {
        var cnopowiekszenie = document.querySelector(cno + ' .powiekszenie').innerHTML;
        var cnokategoria1 = document.querySelector(cno + ' .kategoria1').innerHTML;
        var uskat1 = document.querySelector('#selkategoria1').value;
        var uspow = document.querySelector('#powiekszenie').value;
        if (cnopowiekszenie == uspow && cnokategoria1 == uskat1) {
          sase.add(cno);


        }
      }


      for (var ccno of sase) {
        var cnopo = document.querySelector(ccno + ' .opis').innerHTML;
        bsi.add(cnopo);

      }
      varex=varex=+'<option value="">All</option>';
      for (var kex of bsi) {
        varex = varex + '<option>' + kex + '</option>';
      }

      document.querySelector('#opis').innerHTML = '<option value="">All</option>'+varex;
    }

  })


}